Subject: bug#42839: [PATCH] Support displaying line numbers in goto-line

From: Robert Pluim <[email-masked]>
Date: Thu, 13 Aug 2020 11:16:37 +0200

>>>>> On Thu, 13 Aug 2020 01:58:41 -0700, Stefan Kangas <[email-masked]> said:

    Stefan> Well, I don't always know the line number of every line in my window.

Neither do I, but if Iʼm going to a specific number that doesnʼt
matter.

    >> For that matter, why not just move to the line using other motion
    >> commands?

    Stefan> I personally use `goto-line' only when I have a specific line number
    Stefan> that I want to go to.  It is true that there are other movement
    Stefan> commands that are often better to use.

    >> And if itʼs not visible, what does showing line numbers for the lines
    >> that are visible get you?

    Stefan> It serves as a reminder of where you're at before you leave.

`goto-line' sets the mark, so thatʼs only a 'C-u C-SPC' away.

Robert